# We have a conf and classes directory, add to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have recipes-* directories, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
            ${LAYERDIR}/recipes-*/*/*.bbappend"

BBFILE_COLLECTIONS += "meta-opi-diya"
BBFILE_PATTERN_meta-opi-diya = "^${LAYERDIR}/"
BBFILE_PRIORITY_meta-opi-diya = "11"

LAYERDEPENDS_meta-opi-diya = " core "
LAYERSERIES_COMPAT_meta-opi-diya = "walnascar"

MACHINE ?= "orange-pi-zero2w"

PREFERRED_PROVIDER_virtual/kernel = "linux-xunlong"
PREFERRED_VERSION_linux-xunlong = "6.1.31"

PREFERRED_PROVIDER_virtual/bootloader = "u-boot-xunlong"
PREFERRED_PROVIDER_u-boot = "u-boot-xunlong"

# 

# extra kernel CMDLINE_RNDIS option
# CMDLINE_RNDIS += " video=DPI-1:480x640,rotate=90 "
# accept license for wifi and bluetooth firmware
LICENSE_FLAGS_ACCEPTED = "synaptics-killswitch commercial"